https://github.com/libofx/libofx/pull/77

From a8326e0800c5c28228624005566ae9f37a775367 Mon Sep 17 00:00:00 2001
From: Sam James <sam@gentoo.org>
Date: Tue, 6 Sep 2022 05:47:00 +0100
Subject: [PATCH 1/2] autotools: fix LIBOFX_MAJOR_VERSION and friends in
 libofx.h

Closes: https://github.com/libofx/libofx/issues/76
Signed-off-by: Sam James <sam@gentoo.org>
--- a/configure.ac
+++ b/configure.ac
@@ -8,17 +8,15 @@ dnl Process this file with autoconf to produce a configure script.
 # FUNCTION:
 # implements checks for a variety of system-specific functions
 
-
-
-LIBOFX_MAJOR_VERSION=0
-LIBOFX_MINOR_VERSION=10
-LIBOFX_MICRO_VERSION=6
-AC_INIT(libofx, 0.10.6)  # must repeat the version number here, sorry
+AC_INIT([libofx], [0.10.6])  # must repeat the version number here, sorry
+AC_SUBST([LIBOFX_MAJOR_VERSION], [0])
+AC_SUBST([LIBOFX_MINOR_VERSION], [10])
+AC_SUBST([LIBOFX_MICRO_VERSION], [6])
 
 LIBOFX_VERSION_RELEASE_STRING="$LIBOFX_MAJOR_VERSION.$LIBOFX_MINOR_VERSION.$LIBOFX_MICRO_VERSION"
 
 AC_CONFIG_SRCDIR(inc/libofx.h.in)
-AM_CONFIG_HEADER(config.h)
+AM_CONFIG_HEADER([config.h])
 AC_CONFIG_AUX_DIR(config)
 AC_CONFIG_MACRO_DIR(m4)
 AC_PROG_CC
@@ -57,9 +55,6 @@ CXXFLAGS="-DIN_LIBOFX $CXXFLAGS"
 
 LIBOFX_VERSION=$LIBOFX_MAJOR_VERSION.$LIBOFX_MINOR_VERSION.$LIBOFX_MICRO_VERSION
 
-AC_SUBST(LIBOFX_MAJOR_VERSION)
-AC_SUBST(LIBOFX_MINOR_VERSION)
-AC_SUBST(LIBOFX_MICRO_VERSION)
 LIBOFX_BUILD_VERSION=0
 AC_SUBST(LIBOFX_BUILD_VERSION)
 AC_SUBST(LIBOFX_VERSION_RELEASE_STRING)
